# ---------------------------------------------------------------------------
# Inundation_line.py
# Created on: Tue May 12 2009 01:50:45 PM
#   (generated by ArcGIS/ModelBuilder)
# Usage: Inundation_line <Bun_depth_M_E> <Bus_depth_M_E> <bunbury_1km> <busselton_1km> 
# ---------------------------------------------------------------------------

# Import system modules
import sys, string, os, arcgisscripting, glob

# Create the Geoprocessor object
gp = arcgisscripting.create()
gp.overwriteoutput = 1

# Set the necessary product code
gp.SetProduct("ArcInfo")

# Check out any necessary licenses
gp.CheckOutExtension("spatial")

# Load required toolboxes...
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Spatial Analyst Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Conversion Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Data Management Tools.tbx")
gp.AddToolbox("C:/Program Files/ArcGIS/ArcToolbox/Toolboxes/Analysis Tools.tbx")

# Script arguments...
model = 'hobart'
scenario_folder ="\\\\nas2\\gemd\\georisk_models\\inundation\\data\\tasmania\\" + model + "_tsunami_scenario_2009\\"
output_folder = "anuga\\outputs\\"

time_dir1 = '20090505_150430_run_final_0.8_58292_None_kvanputt'
time_dir2 = '20090505_150517_run_final_0_58292_None_kvanputt'
time_dir3 = '20090505_150711_run_final_0_58280_None_kvanputt'
time_dir4 = '20090505_150805_run_final_0.8_58280_None_kvanputt'
time_dir5 = '20090505_151322_run_final_0.8_64477_None_kvanputt'
time_dir6 = '20090505_151447_run_final_0_64477_None_kvanputt'

time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]

for time_dir in time_dirs:
    print "time_dir = ",time_dir
    raster = output_folder + time_dir + "\\raster.gdb\\"
    
    # Local variables...
    locations = ['Hobart', 'NW', 'South']
    # polygon clip
    extent = scenario_folder + "ArcGIS\\data.gdb\\PriorityAreasHobart"
    # name of rasters
    for location in locations:
        depth = raster + location +'_depth_M_E'
        depth_raster = depth

        # Local variables...
        Output_raster = raster +"Temp_raster_"+ location
        Output_polygon_features = raster +"Temp_polygon_"+ location
        Output_Feature_Class = raster +"Temp_line_"+ location
        Reclassification = "0 0.05 NODATA;0.05 4.5840001106262207 1"
        Inundation = raster + "Inundation_" + location + "_polygon"
        Inundation_line = raster + "Inundation_line"
          
        print 'Process: Reclassify'
        gp.Reclassify_sa(depth, "Value", Reclassification, Output_raster, "DATA")
        
        print 'Process: Raster to Polygon'
        gp.RasterToPolygon_conversion(Output_raster, Output_polygon_features, "SIMPLIFY", "VALUE")

        print 'Process: Clip'
        gp.Clip_analysis(Output_polygon_features, extent, Inundation, "")

        print 'Process: Delete'
        gp.Delete_management(Output_raster, "RasterDataset")
        gp.Delete_management(Output_polygon_features, "FeatureClass")

